aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorEnji Cooper <ngie@FreeBSD.org>2016-08-25 20:02:51 +0000
committerEnji Cooper <ngie@FreeBSD.org>2016-08-25 20:02:51 +0000
commited04e0c3dcea4b07d73bda30b678beaf67829a67 (patch)
tree0b41eb094d19c29959b599d9cc679fc7b0f74e57 /bin
parent1ffd722a80a9a6e14683da8b02db6ad6185cb5e9 (diff)
parentd14b24ef846cb1776a40402096e8030c5b4470e5 (diff)
downloadsrc-ed04e0c3dcea4b07d73bda30b678beaf67829a67.tar.gz
src-ed04e0c3dcea4b07d73bda30b678beaf67829a67.zip
MFhead @ r304815
Notes
Notes: svn path=/projects/netbsd-tests-update-12/; revision=304817
Diffstat (limited to 'bin')
-rw-r--r--bin/dd/dd.14
-rwxr-xr-xbin/ls/tests/ls_tests.sh8
2 files changed, 10 insertions, 2 deletions
diff --git a/bin/dd/dd.1 b/bin/dd/dd.1
index 64d1acae11a9..254de3f6c9f9 100644
--- a/bin/dd/dd.1
+++ b/bin/dd/dd.1
@@ -32,7 +32,7 @@
.\" @(#)dd.1 8.2 (Berkeley) 1/13/94
.\" $FreeBSD$
.\"
-.Dd February 28, 2016
+.Dd August 25, 2016
.Dt DD 1
.Os
.Sh NAME
@@ -414,7 +414,7 @@ Check for (even) parity errors on a file:
To create an image of a Mode-1 CD-ROM, which is a commonly used format
for data CD-ROM disks, use a block size of 2048 bytes:
.Pp
-.Dl "dd if=/dev/acd0 of=filename.iso bs=2048"
+.Dl "dd if=/dev/cd0 of=filename.iso bs=2048"
.Pp
Write a filesystem image to a memory stick, padding the end with zeros,
if necessary, to a 1MiB boundary:
diff --git a/bin/ls/tests/ls_tests.sh b/bin/ls/tests/ls_tests.sh
index 2291bab0c1e4..32ead0314852 100755
--- a/bin/ls/tests/ls_tests.sh
+++ b/bin/ls/tests/ls_tests.sh
@@ -84,6 +84,14 @@ create_test_inputs2()
{
create_test_dir
+ if ! getconf MIN_HOLE_SIZE "$(pwd)"; then
+ echo "getconf MIN_HOLE_SIZE $(pwd) failed; sparse files probably" \
+ "not supported by file system"
+ mount
+ atf_skip "Test's work directory does not support sparse files;" \
+ "try with a different TMPDIR?"
+ fi
+
for filesize in 1 512 $(( 2 * $KB )) $(( 10 * $KB )) $(( 512 * $KB )); \
do
atf_check -e ignore -o empty -s exit:0 \